Bug 57896 - gnome-help-browser crashes when connected remotely and Session Manager not detected
gnome-help-browser crashes when connected remotely and Session Manager not de...
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: gnome-core (Show other bugs)
7.2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Havoc Pennington
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-31 00:39 EST by Darrell Duane
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-18 17:39:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Darrell Duane 2001-12-31 00:39:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-13enterprise i686)

Description of problem:
When I try to run gnome-help-browser from a remote machine, that I've
logged into via ssh, it pops up, and then crashes.  Here is the output from
gdb:

crash occurs at call to goad_server_register().  gnome-help-browser.c:253.
It only happens when I'm logged into the machine remotely and attempt to
run it.  It doesn't happen when I run it locally.  The other weird thing is
that if I reboot the remote machine, it will work for a while, but then
something happpens and it stops working.  It is being called from the
htmlview script which is being called by elm.

Let me know if you have any more questions and I'll help debug this
problem!


(gdb) run
The program being debugged has been started already.
Start it from the beginning? (y or n) y

Starting program:
/usr/src/redhat/SOURCES/gnome-core-1.4.0.4/help-browser/gnome-help-browser 

Breakpoint 2, main (argc=1, argv=0xbffff954) at gnome-help-browser.c:180
(gdb) s
(gdb) s
(gdb) s
(gdb) s
__bindtextdomain (domainname=0x8059276 "gnome-core", 
    dirname=0x805925e "/usr/local/share/locale") at bindtextdom.c:366
366	bindtextdom.c: No such file or directory.
	in bindtextdom.c
(gdb) s
set_binding_values (domainname=0x8059276 "gnome-core", dirnamep=0xbfffd8a4, 
    codesetp=0x0) at bindtextdom.c:121
121	in bindtextdom.c
(gdb) fin
Run till exit from #0  set_binding_values (domainname=0x8059276
"gnome-core", 
    dirnamep=0xbfffd8a4, codesetp=0x0) at bindtextdom.c:121
__bindtextdomain (domainname=0x8059276 "gnome-core", 
    dirname=0x805cfe8 "/usr/local/share/locale") at bindtextdom.c:367
367	in bindtextdom.c
(gdb) s
368	in bindtextdom.c
(gdb) fin
Run till exit from #0  __bindtextdomain (domainname=0x8059276 "gnome-core", 
    dirname=0x805cfe8 "/usr/local/share/locale") at bindtextdom.c:368
main (argc=1, argv=0xbffff954) at gnome-help-browser.c:184
Value returned is $14 = 0x805cfe8 "/usr/local/share/locale"
(gdb) s
__textdomain (domainname=0x8059276 "gnome-core") at textdomain.c:98
98	textdomain.c: No such file or directory.
	in textdomain.c
(gdb) s
101	in textdomain.c
(gdb) s
103	in textdomain.c
(gdb) s
106	in textdomain.c
(gdb) fin
Run till exit from #0  __textdomain (domainname=0x8059276 "gnome-core")
    at textdomain.c:106
main (argc=1, argv=0xbffff954) at gnome-help-browser.c:186
Value returned is $15 = 0x805d008 "gnome-core"
(gdb) s
(gdb) s
(gdb) s
(gdb) s
(gdb) s
(gdb) s
(gdb) s
(gdb) s
(gdb) s
(gdb) s
(gdb) s
(gdb) s
(gdb) s
Exception (ev=0xbfffd8c0) at gnome-help-browser.c:150
(gdb) fin
Run till exit from #0  Exception (ev=0xbfffd8c0) at
gnome-help-browser.c:150
main (argc=1, argv=0xbffff954) at gnome-help-browser.c:214
(gdb) s
(gdb) s
(gdb) s
(gdb) s
Exception (ev=0xbfffd8c0) at gnome-help-browser.c:150
(gdb) fin
Run till exit from #0  Exception (ev=0xbfffd8c0) at
gnome-help-browser.c:150
main (argc=1, argv=0xbffff954) at gnome-help-browser.c:219
(gdb) s
newGnomeClient () at gnome-help-browser.c:510
(gdb) s
(gdb) s
(gdb) s
__getcwd (buf=0xbfffc890 "\200w\006\b", size=4096)
    at ../sysdeps/unix/sysv/linux/getcwd.c:71
71	../sysdeps/unix/sysv/linux/getcwd.c: No such file or directory.
	in ../sysdeps/unix/sysv/linux/getcwd.c
(gdb) fin
Run till exit from #0  __getcwd (buf=0xbfffc890 "\200w\006\b", size=4096)
    at ../sysdeps/unix/sysv/linux/getcwd.c:71
newGnomeClient () at gnome-help-browser.c:516
Value returned is $16 = 0xbfffc890
"/usr/src/redhat/SOURCES/gnome-core-1.4.0.4/help-browser"
(gdb) s
(gdb) s
(gdb) s
(gdb) s
(gdb) s
(gdb) s
(gdb) s
main (argc=1, argv=0xbffff954) at gnome-help-browser.c:221
(gdb) s
initConfig () at gnome-help-browser.c:538
(gdb) fin
Run till exit from #0  initConfig () at gnome-help-browser.c:538
main (argc=1, argv=0xbffff954) at gnome-help-browser.c:223
(gdb) s
setErrorHandlers () at gnome-help-browser.c:412
(gdb) fin
Run till exit from #0  setErrorHandlers () at gnome-help-browser.c:412
main (argc=1, argv=0xbffff954) at gnome-help-browser.c:225
(gdb) s
(gdb) print smClient
$17 = (GnomeClient *) 0x8068510
(gdb) print *smClient
$18 = {object = {klass = 0x8060cf0, flags = 12, ref_count = 1, 
    object_data = 0x806a020}, smc_conn = 0x0, input_id = 0, client_id =
0x0, 
  previous_id = 0x0, config_prefix = 0x0, global_config_prefix = 0x0, 
  static_args = 0x0, clone_command = 0x0, 
  current_directory = 0x80b0820
"/usr/src/redhat/SOURCES/gnome-core-1.4.0.4/help-browser", discard_command
= 0x0, environment = 0x8061040, process_id = 32534, 
  program = 0x80685d0
"/usr/src/redhat/SOURCES/gnome-core-1.4.0.4/help-browser/gnome-help-browser",
resign_command = 0x0, restart_command = 0x80705d8, 
  restart_style = 4294967295, shutdown_command = 0x0, 
  user_id = 0x80685c0 "dduane", save_style = GNOME_SAVE_GLOBAL, 
  interact_style = GNOME_INTERACT_NONE, shutdown = 0, fast = 0, 
  state = GNOME_CLIENT_DISCONNECTED, save_phase_2_requested = 0, 
  save_successfull = 0, save_yourself_emitted = 0, interaction_keys = 0x0}
(gdb) Session Manager not detected at this point  
Undefined command: "Session".  Try "help".
(gdb) s
(gdb) s
(gdb) s
newHistory (length=1000, callback=0x804f244 <historyCallback>, 
    file=0xbfffd8d0 ".gnome-help-browser/history") at history.c:43
(gdb) fin
Run till exit from #0  newHistory (length=1000, 
    callback=0x804f244 <historyCallback>, 
    file=0xbfffd8d0 ".gnome-help-browser/history") at history.c:43
main (argc=1, argv=0xbffff954) at gnome-help-browser.c:233
Value returned is $19 = 0x80b0a18
(gdb) s
(gdb) s
(gdb) s
(gdb) s
newDataCache (maxMemSize=1000000, maxDiskSize=0, 
    destroyFunc=0x804e5b8 <g_free>, 
    file=0xbfffd8d0 ".gnome-help-browser/cache") at cache.c:39
(gdb) fin
Run till exit from #0  newDataCache (maxMemSize=1000000, maxDiskSize=0, 
    destroyFunc=0x804e5b8 <g_free>, 
    file=0xbfffd8d0 ".gnome-help-browser/cache") at cache.c:39
main (argc=1, argv=0xbffff954) at gnome-help-browser.c:236
Value returned is $20 = 0x80bbf80
(gdb) s
(gdb) s
(gdb) s
newToc (manPath=0x806ab98 "/usr/man:/usr/local/man:/usr/X11R6/man", 
    infoPath=0x80b2ed0
"/usr/info:/usr/local/info:/usr/info:/usr/info:/usr/share/info:/usr/local/info:/usr/info:/usr/info:/usr/share/info:/usr/local/info:/usr/info:/usr/info:/usr/share/info:/usr/local/info:/usr/info:/usr/inf"..., 
    ghelpPath=0x80b0988
"/usr/share/gnome/help:/opt/gnome/share/gnome/help:/usr/local/share/gnome/help:/usr/local/gnome/share/gnome/help:/usr/share/gnome/help:")
at toc2.c:95
(gdb) fin
Run till exit from #0  newToc (
    manPath=0x806ab98 "/usr/man:/usr/local/man:/usr/X11R6/man", 
    infoPath=0x80b2ed0
"/usr/info:/usr/local/info:/usr/info:/usr/info:/usr/share/info:/usr/local/info:/usr/info:/usr/info:/usr/share/info:/usr/local/info:/usr/info:/usr/info:/usr/share/info:/usr/local/info:/usr/info:/usr/inf"..., 
    ghelpPath=0x80b0988
"/usr/share/gnome/help:/opt/gnome/share/gnome/help:/usr/local/share/gnome/help:/usr/local/gnome/share/gnome/help:/usr/share/gnome/help:")
at toc2.c:95
s
s
main (argc=1, argv=0xbffff954) at gnome-help-browser.c:238
Value returned is $21 = 0x80bfa18
(gdb) (gdb) (gdb) s
(gdb) s
newBookmarks (callback=0x804f278 <bookmarkCallback>, data=0x0, 
    file=0xbfffd8d0 ".gnome-help-browser/bookmarks") at bookmarks.c:43
(gdb) fin
Run till exit from #0  newBookmarks (callback=0x804f278 <bookmarkCallback>, 
    data=0x0, file=0xbfffd8d0 ".gnome-help-browser/bookmarks")
    at bookmarks.c:43
main (argc=1, argv=0xbffff954) at gnome-help-browser.c:241
Value returned is $22 = 0x8109ab8
(gdb) s
(gdb) s
(gdb) s
makeHelpWindow (x=0, y=0, w=0, h=0) at gnome-help-browser.c:291
(gdb) s
helpWindowNew (name=0x8059289 "GnomeHelp", x=0, y=0, width=0, height=0, 
    about_callback=0x804f2ac <aboutCallback>, 
    new_window_callback=0x804f208 <newWindowCallback>, 
    close_window_callback=0x804f1c4 <closeWindowCallback>, 
    set_current_callback=0x804f194 <setCurrentCallback>, 
    config_callback=0x804fc34 <configCallback>) at window.c:898
(gdb) fin
Run till exit from #0  helpWindowNew (name=0x8059289 "GnomeHelp", x=0, y=0, 
    width=0, height=0, about_callback=0x804f2ac <aboutCallback>, 
    new_window_callback=0x804f208 <newWindowCallback>, 
    close_window_callback=0x804f1c4 <closeWindowCallback>, 
    set_current_callback=0x804f194 <setCurrentCallback>, 
    config_callback=0x804fc34 <configCallback>) at window.c:898
makeHelpWindow (x=0, y=0, w=0, h=0) at gnome-help-browser.c:295
Value returned is $23 = 0x80ee5d0
(gdb) s
(gdb) s
(gdb) fin
Run till exit from #0  makeHelpWindow (x=0, y=0, w=0, h=0)
    at gnome-help-browser.c:295
main (argc=1, argv=0xbffff954) at gnome-help-browser.c:242
Value returned is $24 = 0x80ee5d0
(gdb) s
(gdb) s
(gdb) 
(gdb) s
(gdb) s
helpWindowGetAppWindow (w=0x80ee5d0) at window.c:1117
(gdb) fin
Run till exit from #0  helpWindowGetAppWindow (w=0x80ee5d0) at
window.c:1117
0x0804f031 in main (argc=1, argv=0xbffff954) at gnome-help-browser.c:245
Value returned is $25 = (GtkWidget *) 0x80ee7a0
(gdb) s
(gdb) s
helpWindowShowURL (win=0x80ee5d0, ref=0x80592eb "toc:", useCache=1, 
    addToQueue=1) at window.c:1077
(gdb) fin
Run till exit from #0  helpWindowShowURL (win=0x80ee5d0, ref=0x80592eb
"toc:", 
    useCache=1, addToQueue=1) at window.c:1077
main (argc=1, argv=0xbffff954) at gnome-help-browser.c:248
(gdb) s
impl_help_browser_simple_browser__create (poa=0x80b0728, window=0x80ee5d0, 
    ev=0xbfffd8c0) at help-browser-impl.c:79
(gdb) fin
Run till exit from #0  impl_help_browser_simple_browser__create (
    poa=0x80b0728, window=0x80ee5d0, ev=0xbfffd8c0) at
help-browser-impl.c:79
0x0804f05f in main (argc=1, argv=0xbffff954) at gnome-help-browser.c:248
Value returned is $26 = 0x81ac6f8
(gdb) s
(gdb) s
Exception (ev=0xbfffd8c0) at gnome-help-browser.c:150
(gdb) fin
Run till exit from #0  Exception (ev=0xbfffd8c0) at
gnome-help-browser.c:150
main (argc=1, argv=0xbffff954) at gnome-help-browser.c:252
(gdb) s
(gdb) s
Exception (ev=0xbfffd8c0) at gnome-help-browser.c:150
(gdb) fin
Run till exit from #0  Exception (ev=0xbfffd8c0) at
gnome-help-browser.c:150
main (argc=1, argv=0xbffff954) at gnome-help-browser.c:255
(gdb) s

Breakpoint 1, main (argc=1, argv=0xbffff954) at gnome-help-browser.c:256
(gdb) s
Exception (ev=0xbfffd8c0) at gnome-help-browser.c:150
(gdb) fin
Run till exit from #0  Exception (ev=0xbfffd8c0) at
gnome-help-browser.c:150
main (argc=1, argv=0xbffff954) at gnome-help-browser.c:258
(gdb) s

Program received signal SIGABRT, Aborted.
0x405c7ae1 in __kill () from /lib/i686/libc.so.6
(gdb) s
Single stepping until exit from function __kill, 
which has no line number information.

Program terminated with signal SIGABRT, Aborted.
The program no longer exists.
(gdb) 


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  ssh to a remote system running RH 7.2 from a local machine also running
RH 7.2
2.  run elm, and read some messages that call htmlview
3.  hit ctl-c to cancel out of these messages a few times until you can no
longer read messages that have html in them.
4.  now just try to run gnome-help-browser from the remote machine, it will
crash
	

Actual Results:  gnome-help-browser crashed

Expected Results:  it should have opened up and stayed open.

Additional info:

Both machines are patched with the latest kernel

Linux rium.duane.com 2.4.9-13enterprise #1 SMP Tue Oct 30 19:34:18 EST 2001
i686 unknown
Comment 1 Havoc Pennington 2002-01-18 17:39:08 EST
Most likely gnome-help-browser will be replaced in the next release, but 
keeping the bug open for now.
Comment 2 Havoc Pennington 2002-02-25 18:10:57 EST
Going to let this fix itself as gnome-help-browser disappears.

Note You need to log in before you can comment on or make changes to this bug.